## org.apache.lucene.queryParser.standard.config
Interface DateResolutionAttribute

All Superinterfaces:
  Attribute

All Known Implementing Classes:
  DateResolutionAttributeImpl

Deprecated.

    @Deprecated
    public interface DateResolutionAttribute

extends Attribute

This attribute is used by `ParametricRangeQueryNodeProcessor` processor and must be defined in the `QueryConfigHandler`. This attribute tells the processor which `DateTools.Resolution` to use when parsing the date.

Method Summary
`DateTools.Resolution` `getDateResolution()` Deprecated.
`void` `setDateResolution(DateTools.Resolution dateResolution)` Deprecated. Sets the default date resolution used by `RangeQueryNode`s for fields for which no specific date resolutions has been set.

Method Detail

### setDateResolution

    void setDateResolution(DateTools.Resolution dateResolution)

  Deprecated.
  Sets the default date resolution used by `RangeQueryNode`s for fields for which no specific date resolutions has been set. Field specific resolutions can be set with

  Parameters:
    `dateResolution` - the default date resolution to set

### getDateResolution

    DateTools.Resolution getDateResolution()

  Deprecated.